Support » Plugin: Interactive 3D FlipBook » Classic blocks broken in 5.1

  • Resolved kacash

    (@kacash)


    After upgrading to WP 5.1, while the flipbook itself works, “classic” Gutenberg blocks no longer display in the admin section. The error is: “this block has encountered an error and cannot be previewed”. This happens with both the lite and the pro versions of 3D flipbook. The javascript error “FB3D_MCE_LOCALE is not defined” is thrown when the TinyMCE WYSIWYG editor loads.

    We’re using the latest pro version, 1.9.14. But it also happens with the lite version. Disabling the flipbook plugin fixes the problem and the classic blocks display properly.

    We need those blocks to work in order to be able to use the plugin. Thanks in advance.

Viewing 3 replies - 1 through 3 (of 3 total)
  • The before_wp_tiny_mce() hook in inc/insert.php doesn’t seem to be firing. If I move the script that sets FB3D_MCE_LOCALE outside that function, TinyMCE works…

    Plugin Author iberezansky

    (@iberezansky)

    Hi,

    Thank you for your research. It seems this is WP issue. Did you log it on WP support forum?

    Plugin Author iberezansky

    (@iberezansky)

    Moved locale function from before_wp_tiny_mce hook to enqueue script hook. Bad solution, but working.

Viewing 3 replies - 1 through 3 (of 3 total)
  • You must be logged in to reply to this topic.